about summary refs log tree commit diff stats
path: root/test/net/run.sh
diff options
context:
space:
mode:
authorbptato <nincsnevem662@gmail.com>2024-08-15 19:11:49 +0200
committerbptato <nincsnevem662@gmail.com>2024-08-15 19:23:55 +0200
commit4bf895db711f3d4d229d3f18fbb2145cce2a73af (patch)
tree2e81c7399de03aebb9dfa166eba6ee809a75cd2e /test/net/run.sh
parent885a3493b6cad4b4247a200928fe61e41883aaba (diff)
downloadchawan-4bf895db711f3d4d229d3f18fbb2145cce2a73af.tar.gz
xhr: more progress
* add responseText, response
* add net tests
	-> currently sync XHR only; should find a way to do async
	   tests...
* update monoucha
	-> simplified & updated some related code that no longer worked
	   properly
Diffstat (limited to 'test/net/run.sh')
-rwxr-xr-xtest/net/run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/net/run.sh b/test/net/run.sh
new file mode 100755
index 00000000..1ea90e3a
--- /dev/null
+++ b/test/net/run.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if ! test "$CHA"
+then	test -f ../../cha && CHA=../../cha || CHA=cha
+fi
+
+failed=0
+for h in *.html
+do	printf '%s\r' "$h"
+	if ! "$CHA" -dC config.toml "http://localhost:$1/$h" | diff all.expected -
+	then	failed=$(($failed+1))
+		printf 'FAIL: %s\n' "$h"
+	fi
+done
+printf '\n'
+$CHA -d "http://localhost:$1/stop" >/dev/null
+exit "$failed"